local Animation = class("Animation")

function Animation:initialize(x,y,duration)
	self.x = x
	self.y = y
	self.duration = duration or math.huge
	self.finished = false
end

function Animation:update(dt)
	self.duration = self.duration - dt
	if self.duration <= 0 then
		self.duration = 0
		self.finished = true
	end
end

return Animation