local Scroll = class("Scroll",Item)

local t = {
	name = "Scroll",
	graphics = {qx = 16, qy = 4},
	description = "A unknown scroll.\nIt may contain powerful magic.",
	cooldown = 0
}

function Scroll:initialize()
	Item.initialize(self,t)
	Item.cooldown = 0
end

function Scroll:active(entity,map)
	if self.cooldown == 0 then
		self.cooldown = 10
		entity:heal(10)
		entity.AP = entity.AP - 10
		local cx,cy = map:findEntity(entity.id)
		table.insert(map.animations,Explosion:new(entity,cx,cy,20,255,0,0,10))
	end
end

return Scroll