require "tileset"
require "util"
class = require "middleclass"
lady = require "lady"
function class.Object.static:subclassed(other)
    lady.register_class(other)
end
require "saveload"

EventLog = require "EventLog"
Map = require "Map"
Entity = require "Entity"
Hero = require "Hero"
Kobold = require "Kobold"
Item = require "Item"
Dagger = require "Dagger"
Scroll = require "Scroll"
Potion = require "Potion"
Animation = require "Animation"
HitAnimation = require "HitAnimation"
WallBumpAnimation = require "WallBumpAnimation"
CircleExpand = require "CircleExpand"
Explosion = require "Explosion"

random = love.math.random

states = {}
states["play"] = require "gamestatePlay"

function love.load()
	love.graphics.setNewFont("DOS-System-Font/DOS System Font.ttf",16)
	love.keyboard.setKeyRepeat(true)
	gamestate = "play"
	states[gamestate]:load()
end

function love.keypressed(key)
	states[gamestate]:keypressed(key)
end

function love.update(dt)
	states[gamestate]:update(dt)
end

function love.draw()
	states[gamestate]:draw()
end