local EventLog = class("EventLog")

function EventLog:initialize()
end

function EventLog:add(str,...)
	local str = string.format(str,...)
	str = str:gsub("^%l", string.upper)
	table.insert(self,1,str)
end

function EventLog:draw()
	local total_string = ""
	local counter = 1
	local _lines = 1
	for i = 1, math.huge do
		if _lines > 7 then break end
		local _string = self[i]
		if _string == nil then break
		else
			if _string == self[i+1] then counter = counter + 1
			else
				total_string = total_string.." ".._string
				if counter > 1 then total_string = total_string..string.format(" (x%d)",counter) end
				total_string = total_string.."\n"
				counter = 0
				_lines = _lines + 1
			end
		end
	end
	love.graphics.print(total_string,290,510)
end

return EventLog