local Explosion = class("Explosion",CircleExpand)

function Explosion:initialize(caster,cx,cy,damage,r,g,b,speed)
	CircleExpand.initialize(self,cx,cy,r,g,b,speed)
	self.caster = caster
	self.damage = damage
end

function Explosion:action(x,y,map)
	local cell = map[x][y]
	if cell.entity and cell.entity.id ~= self.caster.id and not cell.entity.immune then
		cell.entity:takeDamage(self.damage,"magical",caster.name,map)
	end
	if cell.terrain == "#" then
		cell.terrain = "."
	end
end

return Explosion