local Potion = class("Potion", Item)

local t = {
	name = "Potion",
	graphics = {qx = 12, qy = 15},
	description = "A unknown potion.\nIt may contain mysterious herbs.",
	cooldown = 0
}

function Potion:initialize()
	Item.initialize(self,t)
end

function Potion:getGraphics()
	local qx,qy,r,g,b,br,bg,bb,a
	qx,qy = self.graphics.qx, self.graphics.qy
	r,g,b = 255,0,200
	return qx,qy,r,g,b,br,bg,bb,a
end

function Potion:consume(entity,i)
	entity.AP = entity.AP - 10
	entity:heal(20)
	table.remove(entity.inventory,i)
end

return Potion